//==========================================================
// Layer
//---------
// This class stores timesediments
// The scenes class will store three instances of this class,
// one
// for the now-section, the other for the past-section and 
// the last for the future-section of the A-Line
// =========================================================


/**
 * Layer Constructor
 */

function Layer(layerXML) {

  // trace("Layer Objekt erzeugt");

   // instance properties
   this.textBeginning =0;
   this.textEnding = 0;
   this.layerNumber = 0;

   //initialization
   this.setTextBeginning(layerXML.childNodes[0].firstChild.nodeValue);
   this.setTextEnding(layerXML.childNodes[1].firstChild.nodeValue);
   this.setLayerNumber(layerXML.attributes.LNUM);


}

/**
 * Method: getTextBeginning
 */

Layer.prototype.getTextBeginning = function(){
	return this.textBeginning;
}



/**
 * Method: setTextBeginning
 */


Layer.prototype.setTextBeginning = function(textBeginning) {
	this.textBeginning = textBeginning;
};



/**
 * Method: getTextEnding
 */

Layer.prototype.getTextEnding = function(){
	return this.textEnding;
}


/**
 * Method: setTextEnding
 * Desc: 
 *
 * @param 
 * @param 
 *
 */

Layer.prototype.setTextEnding = function(textEnding){
	this.textEnding = textEnding;
};


/**
 * Method: getLayerNumber
 */

Layer.prototype.getLayerNumber = function(){
	return this.layerNumber;
}


/**
 * Method: setLayerNumber
 * Desc: 
 *
 * @param 
 * @param 
 *
 */

Layer.prototype.setLayerNumber = function(layerNumber) {
	this.layerNumber = layerNumber;
};
