//================================================
// Scene
//-------------
// Stores the information of a scene,i.e. the 
// contents of the present,past and future contents
//==================================================

/**
 * Scene Conctructor
 *
 */

 function Scene(sceneXML){
 // trace("Scenes Objekt erzeugt");

	// instance properties
	
	this.nowColumn = null;
	this.pastColumn = null;
	this.futureColumn = null;
	this.sceneNumber = 0;
	this.scopeBeginning = 0;
	this.scopeEnding = 0;

	//Initialization
	this.setSceneNumber(sceneXML.attributes.NUM);

	this.setScopeBeginning(sceneXML.attributes.SCOPE_BEGINNING);
	this.setScopeEnding(sceneXML.attributes.SCOPE_ENDING);

	this.setNowColumn(new Column(sceneXML.childNodes[1]));
	this.setPastColumn(new Column(sceneXML.childNodes[0]));
	this.setFutureColumn(new Column(sceneXML.childNodes[2]));
	
	//trace(sceneXML.childNodes[1].firstChild);
}
	



/**
 * Method: getNowColumn 
 * Desc: 
 *
 * 
 * 
 *
 */

Scene.prototype.getNowColumn = function() {
	return this.nowColumn;
};


/**
 * Method: setNowColumn 
 * Desc: 
 *
 * @param columnObject
 * 
 *
 */

Scene.prototype.setNowColumn = function(columnObject) {
	//trace("setNowColumn aufgerufen");
	this.nowColumn = columnObject;
};


/**
 * Method: getPastColumn 
 * Desc: 
 *
 */

Scene.prototype.getPastColumn = function() {
	return this.pastColumn;
};


/**
 * Method: setPastColumn 
 * Desc: 
 *
 * @param columnObject
 * 
 *
 */

Scene.prototype.setPastColumn = function(columnObject) {
	this.pastColumn = columnObject;

};


/**
 * Method: getFutureColumn 
 * Desc: 
 *
 */

Scene.prototype.getFutureColumn = function() {
	return this.futureColumn;
};


/**
 * Method: setFutureColumn 
 * Desc: 
 *
 * @param columnObject
 * 
 *
 */

Scene.prototype.setFutureColumn = function(columnObject) {
	this.futureColumn = columnObject;

};


/**
 * Method: getScopeBeginning 
 * Desc: 
 *
 * 
 * 
 *
 */

Scene.prototype.getScopeBeginning = function() {
	return this.scopeBeginning;
};


/**
 * Method: setScopeBeginning 
 * Desc: 
 *
 * @param scopeBeginning
 * 
 *
 */

Scene.prototype.setScopeBeginning = function(scopeBeginning) {
	this.scopeBeginning = scopeBeginning;

};

/**
 * Method: setScopeEnding 
 * Desc: 
 *
 * @param scopeEnding
 * 
 *
 */

Scene.prototype.setScopeEnding = function(scopeEnding) {
	this.scopeEnding = scopeEnding;

};


/**
 * Method: setSceneNumber 
 * Desc: 
 *
 * @param sceneNumber
 * 
 *
 */

Scene.prototype.setSceneNumber = function(sceneNumber) {
	this.sceneNumber = sceneNumber;

};
