//==========================================================
// Column
//---------
// This class stores timesediments
// The scenes class will store three instances of this class,
// one
// for the now-section, the other for the past-section and 
// the last for the future-section of the A-Line
// =========================================================


/**
 * Column Constructor
 */

function Column (columnXML) {
//trace("Columnobjekt erzeugt");
   this.layers = new Array();

   

   //initialize
if (columnXML.childNodes.length > 0){
   var layersNodes = columnXML.childNodes;

//?????? Hier noch nderung: Das Einfgen der Layers 
//???? sollte in Abhngigkeit von der LNUM geschehen
  for(var i = 0; i < layersNodes.length; i++) {
	this.addLayer( new Layer(layersNodes[i]) );
   }
 } 
};


/**
 * Method: addLayer()
 * Desc: adds a layerobject in the specified position into the array
 *
 * @param layerObj
 * @param index
 *
 */

Column.prototype.addLayer = function(layerObj, index)
{

	if (typeof index != "number") {
		this.layers.push(layerObj);
	} else { 
	  this.layers.splice(index,0,layerObj)
	}
}

/**
 * Method: getLayers()
 *
 */


Column.prototype.getLayers = function(){
	return this.layers;
}