//===========================================================
// CubeGUI
// -------
// This class main function is to draw the cubes, which will  
// visualize the timelayers
// ==========================================================


// This standard constructor construes a cube with the the following properties
function CubeGUI(mainGUI){

this.mainGUI = mainGUI; //this field stores the main GUI, for which
				// this class will works, namely TempusPlotteGUI
trace("CubeGUI erzeugt");

this.cubeWidth = 100;
this.cubeXPosInClip = 0;
this.cubeYPosInClip = 30;
this.cubeHeight = 30;	

}


/**
 * Method drawCube
 * Desc:
 * @param mc MovieClip which takes the drawing
 * @param content the textsting containaed in the cube
 * 
 */


CubeGUI.prototype.drawCube =
function(mc,content){

// Draw shape of cube 
mc.lineStyle(2);
mc.beginFill(0x66CCFF,100);

mc.moveTo(this.cubeXPosInClip,this.cubeYPosInClip);
mc.lineTo(this.cubeXPosInClip + this.cubeWidth/3,this.cubeYPosInClip - this.cubeHeight/2);
mc.lineTo(this.cubeXPosInClip + (4/3)*this.cubeWidth,this.cubeYPosInClip -
this.cubeHeight/2);
mc.lineTo(this.cubeXPosInClip + (4/3)*this.cubeWidth,this.cubeYPosInClip +
this.cubeHeight/2);
mc.lineTo(this.cubeWidth +this.cubeXPosInClip,this.cubeYPosInClip + this.cubeHeight);
mc.lineTo(this.cubeXPosInClip,this.cubeYPosInClip + this.cubeHeight);
mc.lineTo(this.cubeXPosInClip,this.cubeYPosInClip);
mc.endFill();

//Draw inner "Y" of the cube
mc.lineTo(this.cubeXposInClip+this.cubeWidth,this.cubeYPosInClip);
mc.lineTo(this.cubeXPosInClip +4/3*this.cubeWidth,this.cubeYPosInClip-this.cubeHeight/2);
mc.moveTo(this.cubeXposInClip+this.cubeWidth,this.cubeYPosInClip);
mc.lineTo(this.cubeXposInClip+this.cubeWidth,this.cubeYPosInClip +  this.cubeHeight);






  //create Textfield into the front of the cube and 
  // initialize with specified textstring content
mc.createTextField("content_txt",1,this.cubeXPositionInClip,this.cubeYPositionInClip+this.cubeHeight+5,this.cubeWidth,this.cubeHeight);

  //Properties of Ttextfield
mc.content_txt.text = content;





	// variable for convenient reference in eventhandler
 	var cubeGUI = this; 

// Eventhandler, which creates popup Text 
//showing the whole text in a cube
mc.onRollOver = function(){

trace("Maus ber cube");

cubeGUI.getMainGUI().createTextField("popUp_txt",cubeGUI.getMainGUI().depthCounter+1,this._x,this._y+15,0,0);	
cubeGUI.getMainGUI().popUp_txt.text = this.content_txt.text;
trace("Das ist der popUptext");
trace(cubeGUI.getMainGUI().popUp_txt);
	cubeGUI.getMainGUI().popUp_txt.autosize = true;
	//this.popUp_txt.wordWrap = true;
	cubeGUI.getMainGUI().popUp_txt.background = true;
	cubeGUI.getMainGUI().popUp_txt.border = true;
	cubeGUI.getMainGUI().popUp_txt.backgroundColor = 0xffffCC;
}

mc.onRollOut = function(){
	cubeGUI.getMainGUI().popUp_txt.removeTextField();
	}
	


}


/*
 * Method getMainGUI()
*/

cubeGUI.prototype.getMainGUI = function(){
	return this.mainGUI;
}
